Package: org.grails.io.support

## [Java] Class AntPathMatcher.AntPatternComparator

- org.grails.io.support.AntPathMatcher.AntPatternComparator

- All Implemented Interfaces and Traits:
    java.util.Comparator

      private static class AntPathMatcher.AntPatternComparator

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `path` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `private AntPatternComparator (java.lang.String path)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `compare(java.lang.String pattern1, java.lang.String pattern2)`
    `` | `private int` | `getPatternLength(java.lang.String pattern)` Returns the length of the given pattern, where template variables are considered to be 1 long.
    `` | `private int` | `getWildCardCount(java.lang.String pattern)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final java.lang.String path

  - ### Constructor Detail

    - #### private AntPatternComparator(java.lang.String path)

  - ### Method Detail

    - #### public int compare(java.lang.String pattern1, java.lang.String pattern2)

    - #### private int getPatternLength(java.lang.String pattern)

      Returns the length of the given pattern, where template variables are considered to be 1 long.

    - #### private int getWildCardCount(java.lang.String pattern)